const util = require("../../../utils/util");
const api = require('../../../api/api.js');
var app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    isCurent:true,
    isShowLeftLine:true,
    actions:[],
    ticket:{},
    myqr_show: false, //显示追加信息框
    myqr_blur: 1, //背景模糊值 
    remark:'',
    ticketSn:''
  },
  goAddContent(){
    wx.pageScrollTo({
      scrollTop: 0
    });
    
    this.setData({
      myqr_show:true,
      myqr_blur:1
    }) 
  },
  qrtouchstart: function () {
    this.setData({
      myqr_blur: 1,
      myqr_show: false
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let that=this
    let ticketSn=options.ticketSn; 
    that.setData({
      ticketSn:ticketSn
    })
   this.getInfo();
  },
  getInfo(){  
    let that=this
    wx.showLoading();
    util.request(api.TicketAction, {
      ticketSn: that.data.ticketSn
    }).then(function (res) {
      wx.hideLoading();
      console.info(res.data)
      if (res.errno === 0) {
        that.setData({
          actions: res.data.actions,
          ticket:res.data.ticket
        });
      }
    }); 
  },
  goSaveContent(){
    let that=this
    if (!that.data.remark) {
      wx.showToast({
        title: '请输入追加内容',
        duration: 3000
      });
      return;
    }
    wx.showLoading();
    util.request(api.ProblemAddRemark, {  
      ticketSn: that.data.ticketSn,
      remark:that.data.remark
    }).then(function (res) {
      wx.hideLoading();
      if (res.errno === 0) { 
        that.getInfo();
        that.setData({
          remark:'',
          myqr_blur: 1,
          myqr_show: false
        })
        wx.showToast({
          title: '追加成功',
          duration: 3000
        });
        
      }
    });

  },
  bindRemark(e){
    this.setData({
      remark: e.detail.value
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})